<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hssf.usermodel.HSSFShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hssf.usermodel.HSSFShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
               title="class in org.apache.poi.hssf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/usermodel/class-use/HSSFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hssf.usermodel.HSSFShape" class="title">Uses of Class<br>org.apache.poi.hssf.usermodel.HSSFShape
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFShape</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFShape</a> in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCombobox.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFCombobox</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFComment</a></span></code>
                                <div class="block">Represents a cell comment - a sticky note associated with a cell.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFObjectData.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFObjectData</a></span></code>
                                <div class="block">Represents binary object (i.e.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPicture.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFPicture</a></span></code>
                                <div class="block">Represents a escher picture.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPolygon.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFPolygon</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShapeGroup</a></span></code>
                                <div class="block">A shape group may contain other shapes.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></span></code>
                                <div class="block">Represents a simple shape such as a line, rectangle or oval.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a></span></code>
                                <div class="block">A textbox is a shape that may hold a rich text string.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFSimpleShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#cloneShape--">cloneShape</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFObjectData.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFObjectData.html#cloneShape--">cloneShape</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFTextbox.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#cloneShape--">cloneShape</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected abstract <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#cloneShape--">cloneShape</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFPicture.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPicture.html#cloneShape--">cloneShape</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFComment.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#cloneShape--">cloneShape</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFShapeGroup.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#cloneShape--">cloneShape</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFShapeGroup.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#cloneShape-org.apache.poi.hssf.usermodel.HSSFPatriarch-">cloneShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a>&nbsp;patriarch)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getParent--">getParent</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFShapeContainer.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#getChildren--">getChildren</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFShapeGroup.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#getChildren--">getChildren</a></span>()</code>
                                <div class="block">Return all children contained by this shape.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFPatriarch.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#getChildren--">getChildren</a></span>()</code>
                                <div class="block">Returns a unmodifiable list of all shapes contained by the
                                    patriarch.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFShapeGroup.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#iterator--">iterator</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFPatriarch.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#iterator--">iterator</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFShapeContainer.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#addShape-org.apache.poi.hssf.usermodel.HSSFShape-">addShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;shape)</code>
                                <div class="block">add shape to the list of child records</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFShapeGroup.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#addShape-org.apache.poi.hssf.usermodel.HSSFShape-">addShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFPatriarch.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#addShape-org.apache.poi.hssf.usermodel.HSSFShape-">addShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;shape)</code>
                                <div class="block">add a shape to this drawing</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFShapeContainer.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#removeShape-org.apache.poi.hssf.usermodel.HSSFShape-">removeShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;shape)</code>
                                <div class="block">remove first level shapes</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFShapeGroup.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#removeShape-org.apache.poi.hssf.usermodel.HSSFShape-">removeShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFPatriarch.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#removeShape-org.apache.poi.hssf.usermodel.HSSFShape-">removeShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setParent-org.apache.poi.hssf.usermodel.HSSFShape-">setParent</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCombobox.html#HSSFCombobox-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">HSSFCombobox</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#HSSFComment-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">HSSFComment</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</code>
                                <div class="block">Construct a new comment with the given parent and anchor.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPicture.html#HSSFPicture-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">HSSFPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</code>
                                <div class="block">Constructs a picture object.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#HSSFShape-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">HSSFShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</code>
                                <div class="block">Create a new shape with the specified parent and anchor.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html#HSSFShapeGroup-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">HSSFShapeGroup</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#HSSFSimpleShape-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">HSSFSimpleShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#HSSFTextbox-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">HSSFTextbox</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</code>
                                <div class="block">Construct a new textbox with the given parent and anchor.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
               title="class in org.apache.poi.hssf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/usermodel/class-use/HSSFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
